KINFO_GETVMMAP(3) | Library Functions Manual | KINFO_GETVMMAP(3)

# NAME

`kinfo_getvmmap` — function for getting per-process memory map information

# LIBRARY

System Utilities Library (libutil, -lutil)

# SYNOPSIS

`#include <sys/types.h>`
`#include <sys/sysctl.h>`
`#include <util.h>`

struct kinfo_vmentry *
`kinfo_getvmmap`(pid_t pid, size_t *cntp);

# DESCRIPTION

This function is used for obtaining virtual memory mapping information of a particular process.

The pid field contains the process identifier. This should be the a process that you have privilege to access. The cntp field is allows the caller to know how many records are returned.

This function is a wrapper around sysctl(3) with the `KERN_PROC_VMMAP` mib. While the kernel returns a packed structure, this function expands the data into a fixed record format.

# RETURN VALUES

On success the `kinfo_getvmmap`() function returns a pointer to an array of struct kinfo_vmentry structures as defined by `<sys/sysctl.h>`. The array was obtained by an internal call to malloc(3) and must be freed by the caller with a call to free(3). On failure the `kinfo_getvmmap`() function returns `NULL`.

# SEE ALSO

free(3), malloc(3)

September 16, 2015 | NetBSD 11.0